CommunityHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.servlets.supplier
Class CommunityHandler

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.fenalco.servlets.supplier.CommunityHandler

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class CommunityHandler

extends javax.servlet.http.HttpServlet

Este servlet administra las solicitudes de operaciones sobre los establecimientos de una comunidad específica del proveedor de acuerdo con el valor del parámetro `operationType`

Author:
  Mario Linares Vásquez
See Also:
  Serialized Form

Constructor Summary
`CommunityHandler()`

Method Summary
`boolean` | `addStore(Transaction t, int communityId, int storeId)` Este método inserta un nuevo registro en la tabla comunidad_establecimiento de acuerdo con los parámetros del `request`.
`void` | `destroy()` Método destructor.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa el método HTTP `GET`.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa el método HTTP `POST` method.
`java.lang.String` | `getServletInfo()` Retorna una breve descripción del servlet.
`void` | `init(javax.servlet.ServletConfig config)` Inicializa el servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa las solicitudes para los métodos HTTP `GET` y `POST`.
`boolean` | `removeStore(Transaction t, int communityId, int storeId)` Este método crea una instancia de la clase `SQLUtilities` y ejecuta el método `execute` con una sentencia de tipo delete para eliminar el establecimiento de la tabla comunidad_establecimiento.
`boolean` | `updateCommunity(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommunityHandler

    public CommunityHandler()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Inicializa el servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `config` -
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Método destructor.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Procesa las solicitudes para los métodos HTTP `GET` y `POST`. Recibe los parámetros `operationType` y `storeId`que identifican el tipo de operación y el id del establecimiento respectivamente . De acuerdo con el valor de `operationType` este método hace lo siguiente : - operationType = delete invoca la función deleteStore con el parámetro storeId - operationType = new invoca la función addStore con el request como parámetro - operationType = update invoca la función updateCommunity con el request como parámetro El flujo se redirecciona al servlet comunidad

  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### removeStore

    public boolean removeStore(Transaction t,
                               int communityId,
                               int storeId)

  Este método crea una instancia de la clase `SQLUtilities` y ejecuta el método `execute` con una sentencia de tipo delete para eliminar el establecimiento de la tabla comunidad_establecimiento.

  Parameters:
    `storeId` - id del establecimiento
  Returns:
    boolean que representa el exito del proceso

### addStore

    public boolean addStore(Transaction t,
                            int communityId,
                            int storeId)

  Este método inserta un nuevo registro en la tabla comunidad_establecimiento de acuerdo con los parámetros del `request`. Para tal efecto crea una instancia de la clase `SQLUtilities` e invoca el método `execute` con una sentencia de tipo insert.

  Parameters:
    `request` - request del servlet
  Returns:
    boolean que representa el exito del proceso

### updateCommunity

    public boolean updateCommunity(javax.servlet.http.HttpServletRequest request)

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Procesa el método HTTP `GET`.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Procesa el método HTTP `POST` method.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Retorna una breve descripción del servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD